Skip to main content
`Ctrl`+`K`

# petsc4py.PETSc.TS.ConvergedReason

class petsc4py.PETSc.TS.ConvergedReason

  Bases: `object`

  The reason the time step is converging.

  Attributes Summary

  `CONVERGED_EVENT` | Constant `CONVERGED_EVENT` of type `int`
  `CONVERGED_ITERATING` | Constant `CONVERGED_ITERATING` of type `int`
  `CONVERGED_ITS` | Constant `CONVERGED_ITS` of type `int`
  `CONVERGED_TIME` | Constant `CONVERGED_TIME` of type `int`
  `CONVERGED_USER` | Constant `CONVERGED_USER` of type `int`
  `DIVERGED_NONLINEAR_SOLVE` | Constant `DIVERGED_NONLINEAR_SOLVE` of type `int`
  `DIVERGED_STEP_REJECTED` | Constant `DIVERGED_STEP_REJECTED` of type `int`
  `ITERATING` | Constant `ITERATING` of type `int`

  Attributes Documentation

  CONVERGED_EVENT: int = CONVERGED_EVENT

    Constant `CONVERGED_EVENT` of type `int`

  CONVERGED_ITERATING: int = CONVERGED_ITERATING

    Constant `CONVERGED_ITERATING` of type `int`

  CONVERGED_ITS: int = CONVERGED_ITS

    Constant `CONVERGED_ITS` of type `int`

  CONVERGED_TIME: int = CONVERGED_TIME

    Constant `CONVERGED_TIME` of type `int`

  CONVERGED_USER: int = CONVERGED_USER

    Constant `CONVERGED_USER` of type `int`

  DIVERGED_NONLINEAR_SOLVE: int = DIVERGED_NONLINEAR_SOLVE

    Constant `DIVERGED_NONLINEAR_SOLVE` of type `int`

  DIVERGED_STEP_REJECTED: int = DIVERGED_STEP_REJECTED

    Constant `DIVERGED_STEP_REJECTED` of type `int`

  ITERATING: int = ITERATING

    Constant `ITERATING` of type `int`